# LVS Reference: Global Functions

Some functions are available on global level and can be used without any object. Most of them are convenience functions that basically act on some default object or provide function-like alternatives for the methods.

LVS is built upon DRC. So all functions available in DRC are also available in LVS. In LVS, DRC functions are used to derive functional layers from original layers or specification of the layout source.

For more details about the DRC functions see DRC::global.

## "align" - Aligns the extracted netlist vs. the schematic by flattening circuits where required

Usage:

- align

See Netter#align for a description of that function.

## "compare" - Compares the extracted netlist vs. the schematic

Usage:

- compare

See Netter#compare for a description of that function.

## "consider_net_names" - Indicates whether the netlist comparer shall use net names

Usage:

- consider_net_names(f)

See Netter#consider_net_names for a description of that function.

## "equivalent_pins" - Marks pins as equivalent

Usage:

- equivalent_pins(circuit, pins ...)

See Netter#equivalent_pins for a description of that function.

## "join_symmetric_nets" - Joins symmetric nets of selected circuits on the extracted netlist

Usage:

- join_symmetric_nets(circuit_filter)

See Netter#join_symmetric_nets for a description of that function.

## "max_branch_complexity" - Configures the maximum branch complexity for ambiguous net matching

Usage:

- max_branch_complexity(n)

See Netter#max_branch_complexity for a description of that function.

## "max_depth" - Configures the maximum search depth for net match deduction

Usage:

- max_depth(n)

See Netter#max_depth for a description of that function.

## "max_res" - Ignores resistors with a resistance above a certain value

Usage:

- max_res(threshold)

See Netter#max_res for a description of that function.

## "min_caps" - Ignores capacitors with a capacitance below a certain value

Usage:

- min_caps(threshold)

See Netter#min_caps for a description of that function.

## "netter" - Creates a new netter object

Usage:

- netter

See Netter for more details

## "report_lvs" - Specifies an LVS report for output

Usage:

- report_lvs([ filename [, long ] ])

After the comparison step, the LVS database will be shown in the netlist database browser in a cross-reference view. If a filename is given, the LVS database is also written to this file. If a file name is given and "long" is true, a verbose version of the LVS DB format will be used.

If this method is called together with report_netlist and two files each, two files can be generated - one for the extracted netlist (L2N database) and one for the LVS database. However, report_netlist will only write the extracted netlist while report_lvs will write the LVS database which also includes the extracted netlist.

report_lvs is only effective if a comparison step is included.

## "same_circuits" - Establishes an equivalence between the circuits

Usage:

- same_circuits(circuit_a, circuit_b)

See Netter#same_circuits for a description of that function.

## "same_device_classes" - Establishes an equivalence between the device_classes

Usage:

- same_device_classes(class_a, class_b)

See Netter#same_device_classes for a description of that function.

## "same_nets" - Establishes an equivalence between the nets

Usage:

- same_nets(circuit, net_a, net_b)
- same_nets(circuit_a, net_a, circuit_b, net_b)

See Netter#same_nets for a description of that function.

## "schematic" - Reads the reference netlist

Usage:

- schematic(filename)
- schematic(filename, reader)
- schematic(netlist)

See Netter#schematic for a description of that function.

## "tolerance" - Specifies compare tolerances for certain device parameters

Usage:

- tolerance(device_class_name, parameter_name, absolute_tolerance [, relative_tolerance])
- tolerance(device_class_name, parameter_name [, :absolute => absolute_tolerance] [, :relative => relative_tolerance])

See Netter#tolerance for a description of that function.